# TODO: liblam (MPI) or MPE
Summary:	Prolog Compiler
Summary(pl.UTF-8):	Kompilator Prologu
Name:		Yap
Version:	6.2.2
Release:	3
License:	Artistic
Group:		Development/Languages
Source0:	http://www.dcc.fc.up.pt/~vsc/Yap/yap-%{version}.tar.gz
# Source0-md5:	95eaa54978e4811ff6e504e7dca9e835
Patch0:		%{name}-acdirs.patch
Patch1:		%{name}-nolibs.patch
Patch2:		%{name}-info.patch
URL:		http://www.dcc.fc.up.pt/~vsc/Yap/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gmp-devel
BuildRequires:	indent
BuildRequires:	mysql-devel
BuildRequires:	readline-devel
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRequires:	texinfo
BuildRequires:	unixODBC-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A high-performance Prolog compiler developed at LIACC, Universidade do
Porto. The Prolog engine is based in the WAM (Warren Abstract
Machine), with several optimizations for better performance. YAP
follows the Edinburgh tradition, and is largely compatible with the
ISO-Prolog standard and with Quintus and SICStus Prolog.

%description -l pl.UTF-8
Wydajny kompilator Prologu stworzony w LIACC, Universidade do
Porto. Silnik Prologu bazuje na WAM (Warren Abstract Machine), z
różnymi optymalizacjami dla lepszej wydajności. Zgodnie z tradycją
Edinburgh jest on wysoce kompatybilny ze standardem ISO-Prolog oraz
z Prologiem Quintus i SICStus.

%package static
Summary:	Static library for YAP Prolog
Summary(pl.UTF-8):	Statyczna biblioteka dla kompilatora Prologu YAP
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description static
Static library for YAP prolog.

%description static -l pl.UTF-8
Statyczna biblioteka dla kompilatora prologu YAP.

%prep
%setup -q -n yap-%{version}
%undos configure.in
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%configure \
	--enable-coroutining \
	%{?debug:--enable-debug-yap} \
	--enable-depth-limit \
	--enable-low-level-tracer

%{__make}

%{__make} info

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_infodir},%{_examplesdir}/%{name}-%{version},%{_libdir}/%{name}}

%{__make} install install_info \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/Yap/clpbn/examples \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/clpbn

%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/web/css
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/Yap

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files
%defattr(644,root,root,755)
%doc README* changes*.html docs/yap.tex
%attr(755,root,root) %{_bindir}/yap
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%attr(755,root,root) %{_libdir}/%{name}/startup.yss
%{_datadir}/%{name}
%{_includedir}/%{name}
%{_infodir}/pillow_doc.info*
%{_infodir}/yap.info*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libYap.a
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Yap.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 4c48087
- fix for texinfo 5
- rel 3

* Wed May 08 2013 Marcin Krol <hawk@tld-linux.org> 5128df8
- release 2 (by relup.sh)

* Sun Apr 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 34df6b8
- updated to 6.2.2
- updated acdirs,nolibs,info patches
- removed obsolete port patch

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 66fe5fc
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 77386ec
- converted to UTF-8

* Sat Sep 17 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> d026851
- readline 5.0

* Sat Dec 25 2004 Jakub Bogusz <qboosh@pld-linux.org> 1dc78dc
- release 2

* Fri Dec 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 5e8c66f
- updated

* Fri Dec 24 2004 Jakub Bogusz <qboosh@pld-linux.org> dde5dfa
- added info patch (direntry unification)

* Fri Dec 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 7f336f7
- unify direntry

* Fri Dec 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 50c27ba
- updated to 4.5.5, added port,nolibs patches
- set proper C_*_FLAGS - now surprisingly builds on alpha
- removed INSTALL from doc (useless in binary package)

* Fri Dec 24 2004 Jakub Bogusz <qboosh@pld-linux.org> 6b9a7a9
- kill redundant linking

* Fri Dec 10 2004 Jakub Bogusz <qboosh@pld-linux.org> 3865f7e
- portability fixes

* Thu Dec 09 2004 undefine <undefine@pld-linux.org> 4f5d31a
- fix -p1 ;)

* Thu Dec 09 2004 undefine <undefine@pld-linux.org> d096fe8
- update ac patch
- ExcludeArch: alpha
- doesn't build, problems with alpha on sf since 4.3.22
  (http://sourceforge.net/tracker/index.php?func=detail&aid=668235&group_id=24437&atid=381483),
  no idea how to fix it ;)

* Thu Dec 09 2004 havner <havner@pld-linux.org> 0212ff4
- cosmetics :-)

* Thu Dec 09 2004 undefine <undefine@pld-linux.org> cd78c1b
- more use ac

* Thu Dec 09 2004 undefine <undefine@pld-linux.org> 399b238
- up to 4.5.4

* Mon Oct 18 2004 undefine <undefine@pld-linux.org> 00a5f09
- small patch to use dirs from autoconf

* Mon Oct 18 2004 undefine <undefine@pld-linux.org> c1e3906
- up to 4.4.4, patch to use dirs from autoconf

